Kerbal Space Program - Bug #23993

New Ability to Stage in the map mode isn't working all the time.
10/21/2019 04:29 AM - Anth12

Status: Confirmed Start date: 10/21/2019
Severity: Low % Done: 10%
Assignee: Robert.Keech

Category: Controls and Ul

Target version:

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.8.0 + MH + BG

| can get a craft to stage on the launch pad when in map mode but at some point on ascent into space the ability to stage doesn't
work anymore.

How to replicate:
Use the craft | have attached, try to get into orbit. At 50000 try to stage in map mode and it wont work.

Work Around:
Dont use map mode.

History

#1 - 10/21/2019 08:32 PM - jclovis3
Unable to repeat in version 1.8.0.2686

Tested staging from map mode in all cases. Under thrust at 50km, under zero thrust at 50km, and after fuel runs out. The only thing to note here is
that the first staging you do after launch only decouples and doesn't start any engines. You have to stage again to fire off your Terrier engines.

#2 - 10/21/2019 08:40 PM - Anth12

Reinstalling KSP on steam after deleting folder. Will test again

#3 - 10/22/2019 02:42 AM - Anth12

- File Click Bottom Left Button.png added

- File To get this and go to map mode.png added
- File And Now Staging wont work.png added

OK much simpler than | thought.

Follow the instructions on the screenshots in the order they are displayed to get the staging bug to happen.

#4 - 10/22/2019 01:46 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed, toggling the Maneuver mode button on, in the bottom right and entering map mode will 'lock’ you out from being able to stage in map
mode.

#6 - 10/22/2019 03:28 PM - Robert.Keech

- Assignee set to Robert.Keech

Files
Staging Test Craft.craft 30.5 KB
Click Bottom Left Button.png 950 KB
To get this and go to map mode.png 939 KB
And Now Staging wont work.png 1.14 MB
